Local WebSite Archive - Help

Welcome!

Please use the navigation pane or the search function on the left side to select/find a topic.

Features of Local Website Archive:

  • Archive websites or other online documents for future reference
  • Save websites for offline reading
  • Full Internet Explorer integration
  • Works also with all other webbrowsers and online tools (newsreader, email clients, etc.)
  • Search your local archive. Save your time and use the local archive instead searching important information many times in the web
Local Website Archive has full Internet Explorer integration. For all other applications simply add the Add button to your quick launch bar to archive documents from other tools.


Differences Freeware/Pro-Version

The Freeware version has a limited set of features, a comparision between the Freeware-Version and Pro-Version can be found here.

Companies and educational organizations must register the Pro-Version and can use the Freeware version as evaluation version.


Registration

Local Website Archive is available as a Freeware-Version and a Pro-Version.

The Freeware-Version can be used free of charge (for personal use only) while the Pro-Version has more features and must be purchased. Companies and educational organizations must register the Pro-Version and can use the Freeware version as evaluation version.

You can always upgrade to the Pro-Version without losing your settings or archived documents.

Feel free to visit our website for registration infos and current prices:

http://www.aignes.com/wsarc/


Support

Technical support is available by email addressed to wsarc@aignes.com

Please include the following information when requesting support:

  1. Start the Support-Info dialog in the Help menu and copy the infos into the email

  2. Full description of your problem - provide as much information as possible to allow duplication of the problem: place of error, sequence of your actions, etc.

  3. URL, application and settings which cause problems


License Agreement

Terms of License for the software product Local Website Archive (in the following called "SOFTWARE PRODUCT")
WebSite: http://aignes.com
Author: Martin Aignesberger, aignes.com
Revision: 10-Mar-2003

Please pay attention to the following notes before you start using this software. If you do not agree with the following, do not use the SOFTWARE PRODUCT and remove it from your system.

1. License Agreement

There is a freeware version with a smaller set of functions and a pro version which must be purchased. The freeware version is for personal use only. Companies and educational organizations must register the Pro-Version and can use the Freeware version as evaluation version. The price for the registered version can be obtained in the actually valid price list, which is available at the website mentioned above.

The licensed version of the SOFTWARE PRODUCT (single user license) can be installed by the licensee on as many computers he wants, as long as the SOFTWARE PRODUCT is only used by one single person. The use of the software by different users needs additional licenses.

2. Reproduction and Distribution

The SOFTWARE PRODUCT unregistered freeware version may be freely distributed, provided the distribution package is not modified. The SOFTWARE PRODUCT and the attached documentation can not be distributed together with commercial software. For this you need to be authorized by the manufacturer.

No person or company may charge a fee for the distribution of the SOFTWARE PRODUCT without written permission of the author. The SOFTWARE PRODUCT may not be sold or be included in a product or package.

3. Other Rights and Limitations

Limitations on Reverse Engineering, Decompilation, and Disassembly: You may not reverse engineer, decompile, or disassemble the SOFTWARE PRODUCT, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.

Separation of Components: The SOFTWARE PRODUCT is licensed as a single product. Its component parts may not be separated for use on more than one computer.

Software Transfer: You may not permanently transfer all of your rights under this End-User License Agreement.

Termination: Without prejudice to any other rights, the Author of this Software may terminate this End-User License Agreement if you fail to comply with the terms and conditions of this End-User License Agreement. In such event, you must destroy all copies of the SOFTWARE PRODUCT and all of its component parts.

4. Copyright

The SOFTWARE PRODUCT is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties.

5. No Warranties

The Author of the SOFTWARE PRODUCT expressly disclaims any warranty for the SOFTWARE PRODUCT. The SOFTWARE PRODUCT and any related documentation is provided "AS IS" without warranty of any kind, either express or implied, including, without limitation, the implied warranties or merchantability, fitness for a particular purpose, or non infringement. The entire risk arising out of use or performance of the SOFTWARE PRODUCT remains with you.

No Liability for Damages: In no event shall the author of this Software be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use this product, even if the Author of the SOFTWARE PRODUCT has been advised of the possibility of such damages. Because some states/jurisdictions do not allow the exclusion or limitation of liability for consequential or incidental damages, the above limitation may not apply to you.

6. Other Provisions

The license agreement for this software may be modified if necessary. Therefore the license agreement under which the software has been delivered will be applied. Should one or more provisions of this agreement be or become invalid, all other license agreements and provisions remain valid. invalid provisions have to be replaced by others which are equal for the economical contents. The latest revision of this document can be found at the website mentioned above. All mentioned trademarks and copyrights are property of the relative owner. In case that the client is commercial user, court of jurisdiction is Voecklabruck, Austria.

Martin Aignesberger, aignes.com


Add from Application

This dialog represents the interface to other applications.

First you have to select the application from where a document should be added. Local Website Archive selects automatically the active application (and the method which was predefined in the applications dialog).

If you hold the Ctrl key while pressing the "Add to archive" button, then Local Website Archive adds the document without any further question.

There are two different methods to save documents/websites, the internal method (for web browsers only) and a general method which sends keystrokes to the target application to save a document.

Method 1: Internal method

The internal method works only with web browsers.
  • If the web browser is Internet Explorer, Local Website Archive connects directly to it and archives the loaded webpage.
  • If the web browser is IE based, then Local Website Archive tries to connect to the current page. If this is not possible, the website is opened directly in Local Website Archive before it can be archived.
  • For non-IE browsers (for example Opera) the website is always opened in Local Website Archive before it can be archived.

Method 2: Send keystrokes

This method sends keystrokes to the selected application to save a document. Local Website Archive generates the filename and sends it to the save as dialog. This method works with all applications, not only with web browsers. So you can archive documents from your email client, newsreader, etc.

Using this method is dependent from:

1. The version of the installed application
2. The language of the installed application

Both settings can be configured in the applications dialog.

Other fields

Name, URL: Are normally autofilled by Local Website Archive.

Folder: Select the folder where the document should be saved. The default folder is the root folder.

Note: You can use the following shortcuts within a note:

Ctrl+B ... bold text
Ctrl+I ... italic text
Ctrl+U ... underline text
Ctrl+H ... highlight text


Document properties

You can enter name, URL and a note to each document.

In bookmark notes you can use the following shortcuts:

Ctrl+B ... bold text
Ctrl+I ... italic text
Ctrl+U ... underline text
Ctrl+H ... highlight text


General Options

General

Ignore banner when archiving websites: With this setting Local Website Archive doesn't archive banner images with a pre-defined (typical) size. A list of these banner sizes can be found in the file "killad.ini" (subdirectoy templates). This file also contains infos how to change this file.

Highlight search strings: If you open the results of the Powersearch function, this feature highlights searched words and scroll them into view.

IE Integration

Adds/Removes the following items to Internet Explorer:
  • Toolbar buttons
  • Menu entries in Tools menu
  • Menu entry in context menu
In IE based browsers the context menu entry should be available.

Open with

Here you can enter up to 10 external programs which are listed in the "Open external" button of the internal preview.

Example for an external Editor:

Title: My Editor
Path + filename: c:\editors\My Editor\myedit.exe
Parameter: "%FILE%"

The parameter %FILE% will be replaced with the content of the URL field.


Applications

In the Applications dialog you can configure your applications. If an application is not listed here, you can add it by creating a new entry in the subdirectory app (see chapter How to add new Applications /Languages).

If an application is a web browser, you can choose between the internal method and the keystrokes method to add a document.

Method 1: Internal method

The internal method works only with web browsers.
  • If the web browser is Internet Explorer, Local Website Archive connects directly to it and archives the loaded webpage.
  • If the web browser is IE based, then Local Website Archive tries to connect to the current page. If this is not possible, the website is opened directly in Local Website Archive before it can be archived.
  • For non-IE browsers (for example Opera) the website is always opened in Local Website Archive before it can be archived.

Method 2: Send keystrokes

This method sends keystrokes to the installed application to save a document. Local Website Archive generates the filename and sends it to the save as dialog. This method works with all applications, not only with web browsers. So you can archive documents from your email client, newsreader, etc.

Using this method is dependent from:

1. The version of the installed application
2. The language of the installed application

Language of installed application

Select the language of the selected application. If your language is not listed here, you can add it to the application INI file (subdirectory app in the Local Website Archive program directory). Otherwise you can override the default keystrokes directly for your application. A definition of supported characters can be found in chapter How to add new Applications /Languages).

Disable applications

With this setting you can disable specific applications, for example when you define your own Internet Explorer ini file and don't want to use the default Internet Explorer INI file. Disabled applications and applications which are not fully configured here are not listed in the "Add from Application" dialog.


PowerSearch

The PowerSearch feature offers an easy way to search documents by content. The search phrases are case insensitive. HTML tags are automatically filtered to prevent false search results.

The search results are available until you delete them manually (right mouse click on a search result or Ctrl+F7 to delete all search results).


Export

This feature lets you export documents from selected folders to a zip file or an self extracting exe file.

Optionally you can add the program files of Local Website Archive to the export file, then Local Website Archive must not be downloaded and installed separately to open the exported documents.

The content of the field readme.txt is exported to the root folder of the export file, in case of an self extracting achive this info is also displayed when you start the EXE file.

Change the layout of index.htm:
The template of the file index.htm is stored in the sub directory templates under the name export_index.htm. To change the layout, create a new sub directory mytemplates (in the program directory of Local Website Archive) and copy this file to the new directory. If a template in this directory exists, then Local Website Archive will use it instead of the default template.
After that you can change this HTML file, the comments will be replaced with the related fields.


Command line

USE:

wsarc.exe [param]

Parameter:

/addurl="..."
adds the URL in quotes to the archive

Example:

wsarc.exe /addurl="http://www.aignes.com"


How to add new Applications / Languages?

Supported applications are stored as ini files in the subdirectory app.

Structure of an application INI file

[General]
Name=Application name
IsBrowser=1
AppExeName=yourapp.exe
AppWindowClass=class name
AppWindowCaptionSubStr=right( - YourApp)
GetNameUrlMethod=general(name,url)
RemoveFromCaptionLeft=[
RemoveFromCaptionRight=] - YourApp
Language=english,({Alt}f){$}a{$}<FILENAME>{Enter}
Language=german,({Alt}d){$}a{$}<FILENAME>{Enter}

Description

Name= | Name of the application. Normally the same name as the ini filename is used.
IsBrowser= | Set this value to 1 if the application is a browser. If this value is set then the internal method is enabled in Local Website Archive
IsIE= | Set this value to 1 if the application is Internet Explorer. For all other applications this value must not be set.
AppExeName= | Name of the application program file. Needed to identify opened applications.
AppWindowClass= Class name of the application. Needed to identify opened applications. You can get the class name from the Process-List dialog (help menu). Supported functions are:
  • left(STRING) ... where STRING defines a substring on the left side of the class name
  • right(STRING) ... where STRING defines a substring on the right side of the class name
  • substr(STRING) ... where STRING can be at any position in the class name
AppWindowCaptionSubStr= Typical window caption substring. Needed to identify opened applications.
Supported functions are:
  • left(STRING) ... where STRING defines a substring on the left side of the window caption
  • right(STRING) ... where STRING defines a substring on the right side of the window caption
  • substr(STRING) ... where STRING can be at any position in the window caption
  • exact(STRING) ... where STRING is the exact window caption
  • (empty)
  • (not empty)
GetNameUrlMethod= Method how Local Website Archive determines the name and the URL of a document.

Values:
  • general(name,url) ... general method to determine name and url
  • general(name,) ... general method to determine only the name
  • general(,url) ... general method to determine only the url
  • dde(YOURAPP) ... uses DDE to determine name and url (YOURAPP defines the name of your application)
RemoveFromCaptionLeft= | If you choose the general method to determine name and url of a document (see setting above), then you can remove application substrings from the window caption. Enter the substring of the left side (if available) or let this setting empty.
RemoveFromCaptionRight= | If you choose the general method to determine name and url of a document (see setting above), then you can remove application substrings from the window caption. Enter the substring of the right side (if available) or let this setting empty.
InitUseApp= | Set this value to 0 if the application should be disabled by default.
Language= The language settings are needed when Local Website Archive sends keystrokes to save a document. Place each language in a separate line, where each language has the format:

Language=Name,keystrokes
The following special characters are used:
  • {F1} ... {F10} ... function keys
  • {Enter} ... Enter key
  • {$} ... pause of 0.1 seconds
  • + ... Shift
  • ^ ... Control
  • % ... Alt
  • ( ) ... Surround sequences of characters or key names with parentheses in order to modify them as a group. For example, '+abc' shifts only 'a', while '+(abc)' shifts all three characters.
  • <FILENAME> ... is automatically replaced with the filename generated by Local Website Archive

Example:
Language=english,({Alt}f){$}a{$}<FILENAME>{Enter}
Language=german,({Alt}d){$}a{$}<FILENAME>{Enter}